| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IController Class Referenceabstract

`#include <AAX_IController.h>`

Inheritance diagram for AAX_IController:
[legend]

## Description

Interface for the AAX host's view of a single instance of an effect. Used by both clients of the AAX host and by effect components.

:Implemented by the AAX Host:

## Public Member Functions
virtual | ~AAX_IController (void)
Host information getters
Call these methods to retrieve environment and run-time information from the AAX host.
virtual AAX_Result | GetEffectID (AAX_IString *outEffectID) const =0
virtual AAX_Result | GetSampleRate (AAX_CSampleRate *outSampleRate) const =0
| CALL: Returns the current literal sample rate.
virtual AAX_Result | GetInputStemFormat (AAX_EStemFormat *outStemFormat) const =0
| CALL: Returns the plug-in's input stem format.
virtual AAX_Result | GetOutputStemFormat (AAX_EStemFormat *outStemFormat) const =0
| CALL: Returns the plug-in's output stem format.
virtual AAX_Result | GetSignalLatency (int32_t *outSamples) const =0
| CALL: Returns the most recent signal (algorithmic) latency that has been published by the plug-in.
virtual AAX_Result | GetCycleCount (AAX_EProperty inWhichCycleCount, AAX_CPropertyValue *outNumCycles) const =0
| CALL: returns the plug-in's current real-time DSP cycle count.
virtual AAX_Result | GetTODLocation (AAX_CTimeOfDay *outTODLocation) const =0
| CALL: Returns the current Time Of Day (TOD) of the system.
Host information setters
Call these methods to set dynamic plug-in run-time information on the AAX host.
virtual AAX_Result | SetSignalLatency (int32_t inNumSamples)=0
| CALL: Submits a request to change the delay compensation value that the host uses to account for the plug-in's signal (algorithmic) latency.
virtual AAX_Result | SetCycleCount (AAX_EProperty *inWhichCycleCounts, AAX_CPropertyValue *iValues, int32_t numValues)=0
| CALL: Indicates a change in the plug-in's real-time DSP cycle count.
Posting methods
Call these methods to post new plug-in information to the host's data management system.
virtual AAX_Result | PostPacket (AAX_CFieldIndex inFieldIndex, const void *inPayloadP, uint32_t inPayloadSize)=0
| CALL: Posts a data packet to the host for routing between plug-in components.
Notification methods
Call these methods to send events among plug-in components
virtual AAX_Result | SendNotification (AAX_CTypeID inNotificationType, const void *inNotificationData, uint32_t inNotificationDataSize)=0
| CALL: Dispatch a notification.
virtual AAX_Result | SendNotification (AAX_CTypeID inNotificationType)=0
| CALL: Sends an event to the GUI (no payload)
Metering methods
Methods to access the plug-in's host-managed metering information. See also Plug-in meters
virtual AAX_Result | GetCurrentMeterValue (AAX_CTypeID inMeterID, float *outMeterValue) const =0
| CALL: Retrieves the current value of a host-managed plug-in meter.
virtual AAX_Result | GetMeterPeakValue (AAX_CTypeID inMeterID, float *outMeterPeakValue) const =0
| CALL: Retrieves the currently held peak value of a host-managed plug-in meter.
virtual AAX_Result | ClearMeterPeakValue (AAX_CTypeID inMeterID) const =0
| CALL: Clears the peak value from a host-managed plug-in meter.
virtual AAX_Result | GetMeterCount (uint32_t *outMeterCount) const =0
| CALL: Retrieves the number of host-managed meters registered by a plug-in.
virtual AAX_Result | GetMeterClipped (AAX_CTypeID inMeterID, AAX_CBoolean *outClipped) const =0
| CALL: Retrieves the clipped flag from a host-managed plug-in meter.
virtual AAX_Result | ClearMeterClipped (AAX_CTypeID inMeterID) const =0
| CALL: Clears the clipped flag from a host-managed plug-in meter.
MIDI methods
Methods to access the plug-in's host-managed MIDI information.
virtual AAX_Result | GetNextMIDIPacket (AAX_CFieldIndex *outPort, AAX_CMidiPacket *outPacket)=0
| CALL: Retrieves MIDI packets for described MIDI nodes.
virtual AAX_Result | GetHybridSignalLatency (int32_t *outSamples) const =0
| CALL: Returns the latency between the algorithm normal input samples and the inputs returning from the hyrbid component.
virtual AAX_Result | GetCurrentAutomationTimestamp (AAX_CTransportCounter *outTimestamp) const =0
| CALL: Returns the current automation timestamp if called during the GenerateCoefficients() call AND the generation of coefficients is being triggered by an automation point instead of immediate changes.
virtual AAX_Result | GetHostName (AAX_IString *outHostNameString) const =0
| CALL: Returns name of the host application this plug-in instance is being loaded by. This string also typically includes version information.
virtual AAX_Result | GetPlugInTargetPlatform (AAX_CTargetPlatform *outTargetPlatform) const =0
| CALL: Returns execution platform type, native or TI.
virtual AAX_Result | GetIsAudioSuite (AAX_CBoolean *outIsAudioSuite) const =0
| CALL: Returns true for AudioSuite instances.
virtual AAX_IPageTable * | CreateTableCopyForEffect (AAX_CPropertyValue inManufacturerID, AAX_CPropertyValue inProductID, AAX_CPropertyValue inPlugInID, uint32_t inTableType, int32_t inTablePageSize) const =0
| Copy the current page table data for a particular plug-in type.
virtual AAX_IPageTable * | CreateTableCopyForLayout (const char *inEffectID, const char *inLayoutName, uint32_t inTableType, int32_t inTablePageSize) const =0
| Copy the current page table data for a particular plug-in effect and page table layout.
virtual AAX_IPageTable * | CreateTableCopyForEffectFromFile (const char *inPageTableFilePath, AAX_ETextEncoding inFilePathEncoding, AAX_CPropertyValue inManufacturerID, AAX_CPropertyValue inProductID, AAX_CPropertyValue inPlugInID, uint32_t inTableType, int32_t inTablePageSize) const =0
| Copy the current page table data for a particular plug-in type.
virtual AAX_IPageTable * | CreateTableCopyForLayoutFromFile (const char *inPageTableFilePath, AAX_ETextEncoding inFilePathEncoding, const char *inLayoutName, uint32_t inTableType, int32_t inTablePageSize) const =0
| Copy the current page table data for a particular plug-in effect and page table layout.

## Constructor & Destructor Documentation

## ◆ ~AAX_IController()

virtual AAX_IController::~AAX_IController | ( | void |  | ) |
| inline virtual

## Member Function Documentation

## ◆ GetEffectID()

virtual AAX_Result AAX_IController::GetEffectID | ( | AAX_IString * | outEffectID | ) | const
| pure virtual

Implemented in AAX_VController.

## ◆ GetSampleRate()

virtual AAX_Result AAX_IController::GetSampleRate | ( | AAX_CSampleRate * | outSampleRate | ) | const
| pure virtual

CALL: Returns the current literal sample rate.

Parameters

  [out] | outSampleRate | The current sample rate

Implemented in AAX_VController.

## ◆ GetInputStemFormat()

virtual AAX_Result AAX_IController::GetInputStemFormat | ( | AAX_EStemFormat * | outStemFormat | ) | const
| pure virtual

CALL: Returns the plug-in's input stem format.

Parameters

  [out] | outStemFormat | The current input stem format

Implemented in AAX_VController.

## ◆ GetOutputStemFormat()

virtual AAX_Result AAX_IController::GetOutputStemFormat | ( | AAX_EStemFormat * | outStemFormat | ) | const
| pure virtual

CALL: Returns the plug-in's output stem format.

Parameters

  [out] | outStemFormat | The current output stem format

Implemented in AAX_VController.

## ◆ GetSignalLatency()

virtual AAX_Result AAX_IController::GetSignalLatency | ( | int32_t * | outSamples | ) | const
| pure virtual

CALL: Returns the most recent signal (algorithmic) latency that has been published by the plug-in.

This method provides the most recently published signal latency. The host may not have updated its delay compensation to match this signal latency yet, so plug-ins that dynamically change their latency using SetSignalLatency() should always wait for an AAX_eNotificationEvent_SignalLatencyChanged notification before updating its algorithm to incur this latency.

See also
  SetSignalLatency()

Parameters

  [out] | outSamples | The number of samples of signal delay published by the plug-in

Implemented in AAX_VController.

## ◆ GetCycleCount()

virtual AAX_Result AAX_IController::GetCycleCount | ( | AAX_EProperty | inWhichCycleCount,
|  | AAX_CPropertyValue * | outNumCycles
| ) |  | const
| pure virtual

CALL: returns the plug-in's current real-time DSP cycle count.

This method provides the number of cycles that the AAX host expects the DSP plug-in to consume. The host uses this value when allocating DSP resources for the plug-in.

Note
  A plug-in should never apply a DSP algorithm with more demanding resource requirements than what is currently accounted for by the host. To set a higher cycle count value, a plug-in must call AAX_IController::SetCycleCount(), then poll AAX_IController::GetCycleCount() until the new value has been applied. Once the host has recognized the new cycle count value, the plug-in may apply the more demanding algorithm.

Parameters

  [in] | inWhichCycleCount | Selector for the requested cycle count metric. One of: AAX_eProperty_TI_SharedCycleCount AAX_eProperty_TI_InstanceCycleCount AAX_eProperty_TI_MaxInstancesPerChip
  [in] | outNumCycles | The current value of the selected cycle count metric

Todo:
  PLACEHOLDER - NOT CURRENTLY IMPLEMENTED IN HOST

Implemented in AAX_VController.

## ◆ GetTODLocation()

virtual AAX_Result AAX_IController::GetTODLocation | ( | AAX_CTimeOfDay * | outTODLocation | ) | const
| pure virtual

CALL: Returns the current Time Of Day (TOD) of the system.

This method provides a plug-in the TOD (in samples) of the current system. TOD is the number of samples that the playhead has traversed since the beginning of playback.

Note
  The TOD value is the immediate value of the audio engine playhead. This value is incremented within the audio engine's real-time rendering context; it is not synchronized with non-real-time calls to plug-in interface methods.

Parameters

  [out] | outTODLocation | The current Time Of Day as set by the host

Implemented in AAX_VController.

## ◆ SetSignalLatency()

virtual AAX_Result AAX_IController::SetSignalLatency | ( | int32_t | inNumSamples | ) |
| pure virtual

CALL: Submits a request to change the delay compensation value that the host uses to account for the plug-in's signal (algorithmic) latency.

This method is used to request a change in the number of samples that the AAX host expects the plug-in to delay a signal.

The host is not guaranteed to immediately apply the new latency value. A plug-in should avoid incurring an actual algorithmic latency that is different than the latency accounted for by the host.

To set a new latency value, a plug-in must call AAX_IController::SetSignalLatency(), then wait for an AAX_eNotificationEvent_SignalLatencyChanged notification. Once this notification has been received, AAX_IController::GetSignalLatency() will reflect the updated latency value and the plug-in should immediately apply any relevant algorithmic changes that alter its latency to this new value.

Warning
  Parameters which affect the latency of a plug-in should not be made available for control through automation. This will result in audible glitches when delay compensation is adjusted while playing back automation for these parameters.

Parameters

  [in] | inNumSamples | The number of samples of signal delay that the plug-in requests to incur

Implemented in AAX_VController.

## ◆ SetCycleCount()

virtual AAX_Result AAX_IController::SetCycleCount | ( | AAX_EProperty * | inWhichCycleCounts,
|  | AAX_CPropertyValue * | iValues,
|  | int32_t | numValues
| ) |  |
| pure virtual

CALL: Indicates a change in the plug-in's real-time DSP cycle count.

This method is used to request a change in the number of cycles that the AAX host expects the DSP plug-in to consume.

Note
  A plug-in should never apply a DSP algorithm with more demanding resource requirements than what is currently accounted for by the host. To set a higher cycle count value, a plug-in must call AAX_IController::SetCycleCount(), then poll AAX_IController::GetCycleCount() until the new value has been applied. Once the host has recognized the new cycle count value, the plug-in may apply the more demanding algorithm.

Parameters

  [in] | inWhichCycleCounts | Array of selectors indicating the specific cycle count metrics that should be set. Each selector must be one of: AAX_eProperty_TI_SharedCycleCount AAX_eProperty_TI_InstanceCycleCount AAX_eProperty_TI_MaxInstancesPerChip
  [in] | iValues | An array of values requested, one for each of the selected cycle count metrics.
  [in] | numValues | The size of `iValues`

Todo:
  PLACEHOLDER - NOT CURRENTLY IMPLEMENTED IN HOST

Implemented in AAX_VController.

## ◆ PostPacket()

virtual AAX_Result AAX_IController::PostPacket | ( | AAX_CFieldIndex | inFieldIndex,
|  | const void * | inPayloadP,
|  | uint32_t | inPayloadSize
| ) |  |
| pure virtual

CALL: Posts a data packet to the host for routing between plug-in components.

The posted packet is identified with a AAX_CFieldIndex packet index value, which is equivalent to the target data port's identifier. The packet's payload must have the expected size for the given packet index / data port, as defined when the port is created in Describe. See AAX_IComponentDescriptor::AddDataInPort().

Warning
  Any data structures that will be passed between platforms (for example, sent to a TI DSP in an AAX DSP plug-in) must be properly data-aligned for compatibility across both platforms. See AAX_ALIGN_FILE_ALG for more information about guaranteeing cross-platform compatibility of data structures used for algorithm processing.

Note
  All calls to this method should be made within the scope of AAX_IEffectParameters::GenerateCoefficients(). Calls from outside this method may result in packets not being delivered. See PT-206161

Parameters

  [in] | inFieldIndex | The packet's destination port
  [in] | inPayloadP | A pointer to the packet's payload data
  [in] | inPayloadSize | The size, in bytes, of the payload data

Implemented in AAX_VController.

Referenced by AAX_CMonolithicParameters::GenerateCoefficients().

Here is the caller graph for this function:

## ◆ SendNotification() [1/2]

virtual AAX_Result AAX_IController::SendNotification | ( | AAX_CTypeID | inNotificationType,
|  | const void * | inNotificationData,
|  | uint32_t | inNotificationDataSize
| ) |  |
| pure virtual

CALL: Dispatch a notification.

The notification is handled by the host and may be delivered back to other plug-in components such as the GUI or data model (via AAX_IEffectGUI::NotificationReceived() or AAX_IEffectParameters::NotificationReceived(), respectively) depending on the notification type.

The host may choose to dispatch the posted notification either synchronously or asynchronously.

See the AAX_ENotificationEvent documentation for more information.

This method is supported by AAX V2 Hosts only. Check the return code on the return of this function. If the error is AAX_ERROR_UNIMPLEMENTED, your plug-in is being loaded into a host that doesn't support this feature.

Parameters

  [in] | inNotificationType | Type of notification to send
  [in] | inNotificationData | Block of notification data
  [in] | inNotificationDataSize | Size of `inNotificationData`, in bytes

Implemented in AAX_VController.

## ◆ SendNotification() [2/2]

virtual AAX_Result AAX_IController::SendNotification | ( | AAX_CTypeID | inNotificationType | ) |
| pure virtual

CALL: Sends an event to the GUI (no payload)

This version of the notification method is a convenience for notifications which do not take any payload data. Internally, it simply calls AAX_IController::SendNotification(AAX_CTypeID, const void*, uint32_t) with a null payload.

Parameters

  [in] | inNotificationType | Type of notification to send

Implemented in AAX_VController.

## ◆ GetCurrentMeterValue()

virtual AAX_Result AAX_IController::GetCurrentMeterValue | ( | AAX_CTypeID | inMeterID,
|  | float * | outMeterValue
| ) |  | const
| pure virtual

CALL: Retrieves the current value of a host-managed plug-in meter.

Parameters

  [in] | inMeterID | ID of the meter that is being queried
  [out] | outMeterValue | The queried meter's current value

Implemented in AAX_VController.

## ◆ GetMeterPeakValue()

virtual AAX_Result AAX_IController::GetMeterPeakValue | ( | AAX_CTypeID | inMeterID,
|  | float * | outMeterPeakValue
| ) |  | const
| pure virtual

CALL: Retrieves the currently held peak value of a host-managed plug-in meter.

Parameters

  [in] | inMeterID | ID of the meter that is being queried
  [out] | outMeterPeakValue | The queried meter's currently held peak value

Implemented in AAX_VController.

## ◆ ClearMeterPeakValue()

virtual AAX_Result AAX_IController::ClearMeterPeakValue | ( | AAX_CTypeID | inMeterID | ) | const
| pure virtual

CALL: Clears the peak value from a host-managed plug-in meter.

Parameters

  [in] | inMeterID | ID of the meter that is being cleared

Implemented in AAX_VController.

## ◆ GetMeterCount()

virtual AAX_Result AAX_IController::GetMeterCount | ( | uint32_t * | outMeterCount | ) | const
| pure virtual

CALL: Retrieves the number of host-managed meters registered by a plug-in.

See AAX_IComponentDescriptor::AddMeters().

Parameters

  [out] | outMeterCount | The number of registered plug-in meters.

Implemented in AAX_VController.

## ◆ GetMeterClipped()

virtual AAX_Result AAX_IController::GetMeterClipped | ( | AAX_CTypeID | inMeterID,
|  | AAX_CBoolean * | outClipped
| ) |  | const
| pure virtual

CALL: Retrieves the clipped flag from a host-managed plug-in meter.

See AAX_IComponentDescriptor::AddMeters().

Parameters

  [in] | inMeterID | ID of the meter that is being queried.
  [out] | outClipped | The queried meter's clipped flag.

Implemented in AAX_VController.

## ◆ ClearMeterClipped()

virtual AAX_Result AAX_IController::ClearMeterClipped | ( | AAX_CTypeID | inMeterID | ) | const
| pure virtual

CALL: Clears the clipped flag from a host-managed plug-in meter.

See AAX_IComponentDescriptor::AddMeters().

Parameters

  [in] | inMeterID | ID of the meter that is being cleared.

Implemented in AAX_VController.

## ◆ GetNextMIDIPacket()

virtual AAX_Result AAX_IController::GetNextMIDIPacket | ( | AAX_CFieldIndex * | outPort,
|  | AAX_CMidiPacket * | outPacket
| ) |  |
| pure virtual

CALL: Retrieves MIDI packets for described MIDI nodes.

Parameters

  [out] | outPort | port ID of the MIDI node that has unhandled packet
  [out] | outPacket | The MIDI packet

Implemented in AAX_VController.

## ◆ GetCurrentAutomationTimestamp()

virtual AAX_Result AAX_IController::GetCurrentAutomationTimestamp | ( | AAX_CTransportCounter * | outTimestamp | ) | const
| pure virtual

CALL: Returns the current automation timestamp if called during the GenerateCoefficients() call AND the generation of coefficients is being triggered by an automation point instead of immediate changes.

Note
  This function will return 0 if called from outside of GenerateCoefficients() or if the GenerateCoefficients() call was initiated due to a non-automated change. In those cases, you can get your sample offset from the transport start using GetTODLocation().

Parameters

  [out] | outTimestamp | The current coefficient timestamp. Sample count from transport start.

Implemented in AAX_VController.

## ◆ GetHostName()

virtual AAX_Result AAX_IController::GetHostName | ( | AAX_IString * | outHostNameString | ) | const
| pure virtual

CALL: Returns name of the host application this plug-in instance is being loaded by. This string also typically includes version information.

Host Compatibility Notes:
  Pro Tools versions from Pro Tools 11.0 to Pro Tools 12.3.1 will return a generic version string to this call. This issue is resolved beginning in Pro Tools 12.4.

Parameters

  [out] | outHostNameString | The name of the current host application.

Implemented in AAX_VController.

## ◆ GetPlugInTargetPlatform()

virtual AAX_Result AAX_IController::GetPlugInTargetPlatform | ( | AAX_CTargetPlatform * | outTargetPlatform | ) | const
| pure virtual

CALL: Returns execution platform type, native or TI.

Parameters

  [out] | outTargetPlatform | The type of the current execution platform as one of AAX_ETargetPlatform.

Implemented in AAX_VController.

## ◆ GetIsAudioSuite()

virtual AAX_Result AAX_IController::GetIsAudioSuite | ( | AAX_CBoolean * | outIsAudioSuite | ) | const
| pure virtual

CALL: Returns true for AudioSuite instances.

Parameters

  [out] | outIsAudioSuite | The boolean flag which indicate true for AudioSuite instances.

Implemented in AAX_VController.

## ◆ CreateTableCopyForEffect()

virtual AAX_IPageTable * AAX_IController::CreateTableCopyForEffect | ( | AAX_CPropertyValue | inManufacturerID,
|  | AAX_CPropertyValue | inProductID,
|  | AAX_CPropertyValue | inPlugInID,
|  | uint32_t | inTableType,
|  | int32_t | inTablePageSize
| ) |  | const
| pure virtual

Copy the current page table data for a particular plug-in type.

The host may restrict plug-ins to only copying page table data from certain plug-in types, such as plug-ins from the same manufacturer or plug-in types within the same effect.

See Page Table Guide for more information about page tables.

Returns
  A new page table object to which the requested page table data has been copied. Ownership of this object passes to the caller.
  a null pointer if the requested plug-in type is unknown, if `inTableType` is unknown or if `inTablePageSize` is not a supported size for the given table type.

Parameters

  [in] | inManufacturerID | Manufacturer ID of the desired plug-in type
  [in] | inProductID | Product ID of the desired plug-in type
  [in] | inPlugInID | Type ID of the desired plug-in type (AAX_eProperty_PlugInID_Native, AAX_eProperty_PlugInID_TI)
  [in] | inTableType | Four-char type identifier for the requested table type (e.g. `'PgTL'`, `'Av81'`, etc.)
  [in] | inTablePageSize | Page size for the requested table. Some tables support multiple page sizes.

Implemented in AAX_VController.

## ◆ CreateTableCopyForLayout()

virtual AAX_IPageTable * AAX_IController::CreateTableCopyForLayout | ( | const char * | inEffectID,
|  | const char * | inLayoutName,
|  | uint32_t | inTableType,
|  | int32_t | inTablePageSize
| ) |  | const
| pure virtual

Copy the current page table data for a particular plug-in effect and page table layout.

The host may restrict plug-ins to only copying page table data from certain effects, such as effects registered within the current AAX plug-in bundle.

See Page Table Guide for more information about page tables.

Returns
  A new page table object to which the requested page table data has been copied. Ownership of this object passes to the caller.
  a null pointer if the requested effect ID is unknown or if `inLayoutName` is not a valid layout name for the page tables registered for the effect.

Parameters

  [in] | inEffectID | Effect ID for the desired effect. See AAX_ICollection::AddEffect()
  [in] | inLayoutName | Page table layout name ("name" attribute of the `PTLayout` XML tag)
  [in] | inTableType | Four-char type identifier for the requested table type (e.g. `'PgTL'`, `'Av81'`, etc.)
  [in] | inTablePageSize | Page size for the requested table. Some tables support multiple page sizes.

Implemented in AAX_VController.

## ◆ CreateTableCopyForEffectFromFile()

virtual AAX_IPageTable * AAX_IController::CreateTableCopyForEffectFromFile | ( | const char * | inPageTableFilePath,
|  | AAX_ETextEncoding | inFilePathEncoding,
|  | AAX_CPropertyValue | inManufacturerID,
|  | AAX_CPropertyValue | inProductID,
|  | AAX_CPropertyValue | inPlugInID,
|  | uint32_t | inTableType,
|  | int32_t | inTablePageSize
| ) |  | const
| pure virtual

Copy the current page table data for a particular plug-in type.

Returns
  A new page table object to which the requested page table data has been copied. Ownership of this object passes to the caller.
  a null pointer if the requested plug-in type is unkown, if `inTableType` is unknown or if `inTablePageSize` is not a supported size for the given table type.

Parameters

  [in] | inPageTableFilePath | Path to XML page table file.
  [in] | inFilePathEncoding | File path text encoding.
  [in] | inManufacturerID | Manufacturer ID of the desired plug-in type
  [in] | inProductID | Product ID of the desired plug-in type
  [in] | inPlugInID | Type ID of the desired plug-in type (AAX_eProperty_PlugInID_Native, AAX_eProperty_PlugInID_TI)
  [in] | inTableType | Four-char type identifier for the requested table type (e.g. `'PgTL'`, `'Av81'`, etc.)
  [in] | inTablePageSize | Page size for the requested table. Some tables support multiple page sizes.

Implemented in AAX_VController.

## ◆ CreateTableCopyForLayoutFromFile()

virtual AAX_IPageTable * AAX_IController::CreateTableCopyForLayoutFromFile | ( | const char * | inPageTableFilePath,
|  | AAX_ETextEncoding | inFilePathEncoding,
|  | const char * | inLayoutName,
|  | uint32_t | inTableType,
|  | int32_t | inTablePageSize
| ) |  | const
| pure virtual

Copy the current page table data for a particular plug-in effect and page table layout.

Returns
  A new page table object to which the requested page table data has been copied. Ownership of this object passes to the caller.
  a null pointer if `inLayoutName` is not a valid layout name for the page tables file.

Parameters

  [in] | inPageTableFilePath | Path to XML page table file.
  [in] | inFilePathEncoding | File path text encoding.
  [in] | inLayoutName | Page table layout name ("name" attribute of the `PTLayout` XML tag)
  [in] | inTableType | Four-char type identifier for the requested table type (e.g. `'PgTL'`, `'Av81'`, etc.)
  [in] | inTablePageSize | Page size for the requested table. Some tables support multiple page sizes.

Implemented in AAX_VController.

The documentation for this class was generated from the following file:

- AAX_IController.h